<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /vagrant/src/Command</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../_css/bootstrap.min.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/nv.d3.min.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/style.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="../index.html">/vagrant/src</a></li>
         <li class="breadcrumb-item"><a href="index.html">Command</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="OpenfoodfactsCommand.php.html#17">App\Command\OpenfoodfactsCommand</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="UserCreateCommand.php.html#13">App\Command\UserCreateCommand</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="UserResetPasswordCommand.php.html#12">App\Command\UserResetPasswordCommand</a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="UserCreateCommand.php.html#13">App\Command\UserCreateCommand</a></td><td class="text-right">72</td></tr>
       <tr><td><a href="OpenfoodfactsCommand.php.html#17">App\Command\OpenfoodfactsCommand</a></td><td class="text-right">42</td></tr>
       <tr><td><a href="UserResetPasswordCommand.php.html#12">App\Command\UserResetPasswordCommand</a></td><td class="text-right">42</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="OpenfoodfactsCommand.php.html#31"><abbr title="App\Command\OpenfoodfactsCommand::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="OpenfoodfactsCommand.php.html#38"><abbr title="App\Command\OpenfoodfactsCommand::configure">configure</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="OpenfoodfactsCommand.php.html#45"><abbr title="App\Command\OpenfoodfactsCommand::execute">execute</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="UserCreateCommand.php.html#26"><abbr title="App\Command\UserCreateCommand::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="UserCreateCommand.php.html#33"><abbr title="App\Command\UserCreateCommand::configure">configure</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="UserCreateCommand.php.html#39"><abbr title="App\Command\UserCreateCommand::execute">execute</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="UserResetPasswordCommand.php.html#24"><abbr title="App\Command\UserResetPasswordCommand::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="UserResetPasswordCommand.php.html#31"><abbr title="App\Command\UserResetPasswordCommand::configure">configure</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="UserResetPasswordCommand.php.html#37"><abbr title="App\Command\UserResetPasswordCommand::execute">execute</abbr></a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="UserCreateCommand.php.html#39"><abbr title="App\Command\UserCreateCommand::execute">execute</abbr></a></td><td class="text-right">42</td></tr>
       <tr><td><a href="OpenfoodfactsCommand.php.html#45"><abbr title="App\Command\OpenfoodfactsCommand::execute">execute</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="UserResetPasswordCommand.php.html#37"><abbr title="App\Command\UserResetPasswordCommand::execute">execute</abbr></a></td><td class="text-right">20</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 9.2.26</a> using <a href="https://secure.php.net/" target="_top">PHP 8.1.16</a> at Sat Mar 11 11:01:13 UTC 2023.</small>
    </p>
   </footer>
  </div>
  <script src="../_js/jquery.min.js?v=9.2.26" type="text/javascript"></script>
  <script src="../_js/d3.min.js?v=9.2.26" type="text/javascript"></script>
  <script src="../_js/nv.d3.min.js?v=9.2.26" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([3,0,0,0,0,0,0,0,0,0,0,0], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([9,0,0,0,0,0,0,0,0,0,0,0], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,6,"<a href=\"OpenfoodfactsCommand.php.html#17\">App\\Command\\OpenfoodfactsCommand<\/a>"],[0,8,"<a href=\"UserCreateCommand.php.html#13\">App\\Command\\UserCreateCommand<\/a>"],[0,6,"<a href=\"UserResetPasswordCommand.php.html#12\">App\\Command\\UserResetPasswordCommand<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"OpenfoodfactsCommand.php.html#31\">App\\Command\\OpenfoodfactsCommand::__construct<\/a>"],[0,1,"<a href=\"OpenfoodfactsCommand.php.html#38\">App\\Command\\OpenfoodfactsCommand::configure<\/a>"],[0,4,"<a href=\"OpenfoodfactsCommand.php.html#45\">App\\Command\\OpenfoodfactsCommand::execute<\/a>"],[0,1,"<a href=\"UserCreateCommand.php.html#26\">App\\Command\\UserCreateCommand::__construct<\/a>"],[0,1,"<a href=\"UserCreateCommand.php.html#33\">App\\Command\\UserCreateCommand::configure<\/a>"],[0,6,"<a href=\"UserCreateCommand.php.html#39\">App\\Command\\UserCreateCommand::execute<\/a>"],[0,1,"<a href=\"UserResetPasswordCommand.php.html#24\">App\\Command\\UserResetPasswordCommand::__construct<\/a>"],[0,1,"<a href=\"UserResetPasswordCommand.php.html#31\">App\\Command\\UserResetPasswordCommand::configure<\/a>"],[0,4,"<a href=\"UserResetPasswordCommand.php.html#37\">App\\Command\\UserResetPasswordCommand::execute<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
